コンテンツにスキップ
AchaduDevelopers
Developers/API/schedule_update
スケジュール

更新スケジュール

時間、目的地、繰り返し、ステータスを変更します。

PATCH/schedules/{id}schedules:write

リクエスト

idstring · pathリソース識別子。必須
typestring · bodyタイプ: オファーまたはテキスト。オプション
atstring · bodyISO 8601 の日付と時刻。オプション
segment_idstring · bodyターゲットセグメント。オプション
group_idstring · body特定のグループ。オプション
offer_idstring · body予定されたオファー。オプション
textstring · bodyテキストによるスケジュール設定用のテキスト。オプション
imagestring · bodyオプションの画像。オプション
recurrencestring · body再発ルール。オプション
activeboolean · bodyスケジューリングをアクティブ化します。オプション

curl
curl -X PATCH 'https://achadu.com/api/v1/schedules/resource_id' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "type": "string",
  "at": "2026-09-01T15:00:00Z",
  "segment_id": "string"
}'

答え

200操作が完了しました
4xxコード、メッセージ、request_id のエラー